Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.credentials
Interface DefaultCredentialMapperMBean

public interface DefaultCredentialMapperMBean
extends weblogic.management.commo.StandardInterface, DeployableCredentialMapperMBean, UserPasswordCredentialMapEditorMBean

This MBean represents configuration attributes for the WebLogic Credential Mapping provider.

Method Summary
`java.lang.String` | `getDescription()` A short description of the WebLogic Credential Mapping provider.
`java.lang.String` | `getProviderClassName()` The name of the Java class that loads the WebLogic Credential Mapping provider.
`java.lang.String` | `getVersion()` The version of the WebLogic Credential Mapping provider.

Methods inherited from interface weblogic.management.security.credentials.DeployableCredentialMapperMBean
`isCredentialMappingDeploymentEnabled, setCredentialMappingDeploymentEnabled`

Methods inherited from interface weblogic.management.security.credentials.UserPasswordCredentialMapEditorMBean
`removeUserPasswordCredential, removeUserPasswordCredentialMapping, setUserPasswordCredential, setUserPasswordCredentialMapping`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Methods inherited from interface weblogic.management.security.credentials.UserPasswordCredentialMapReaderMBean
`getCurrentCredentialRemotePassword, getCurrentCredentialRemoteUserName, getCurrentMappingRemoteUserName, getCurrentMappingWLSUserName, getRemotePassword, getRemoteUserName, listCredentials, listMappings`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Java class that loads the WebLogic Credential Mapping provider.

  Default Value: "weblogic.security.providers.credentials.DefaultCredentialMapperProviderImpl"

### getDescription

    public java.lang.String getDescription()

  A short description of the WebLogic Credential Mapping provider.

  Default Value: "WebLogic Credential Mapping Provider"

### getVersion

    public java.lang.String getVersion()

  The version of the WebLogic Credential Mapping provider.

  Default Value: "1.0"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference